WML::SUP::PATH(1)

NAME
wml::sup::path - Filesystem Path Manipulation

SYNOPSIS
 #use wml::sup::path

 <: $relpath = &relpath($from, $to); :>
 <: $path    = &canonpath($path);    :>
 <: $url     = &canonurl($url);      :>

DESCRIPTION
This include file provides the Perl functions "relpath", "canonpath" and "canonurl" which calculate relative and canonical paths/urls. For example, the relative path from /foo/path/bar/quux to /foo/path/foobar is calculated to ../../foobar and the canonical path of ./foo/./bar/../quux// is foo/quux/.

AUTHOR
 Ralf S. Engelschall
 rse@engelschall.com
 www.engelschall.com

REQUIRES
 Internal: P1, P3
 External: --

SEEALSO
perl(1)